<div
  jdsBiInputGroup
  variant="element"
  size="xl"
>
  <input
    [(ngModel)]="search"
    [ngClass]="[jds.pe(100)]"
    [colorScheme]="colorScheme"
    (keyup.enter)="onSearch()"
    jdsBiInput
    type="text"
    size="xl"
    placeholder="Cari {{ placeholder() }}"
  />
  <jds-bi-input-right-element>
    <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
      @if (search()) {
        <jds-bi-icon
          [ngClass]="[jds.me(8)]"
          [color]="jdsBiColor.gray['500']"
          [style.cursor]="'pointer'"
          (click)="onClear()"
          name="circle-xmark"
        />
      }
      <button
        [colorScheme]="colorScheme"
        (click)="onSearch()"
        jdsBiButton
        variant="solid"
      >
        <span>Cari</span>
      </button>
    </div>
  </jds-bi-input-right-element>
</div>
